apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: argo-second-cluster-demo
  namespace: argocd
spec:
  destination:
    namespace: guestbook
    name: argo-app-test-cluster
  project: default
  source:
    path: guestbook
    repoURL: https://github.com/argoproj/argocd-example-apps.git
    targetRevision: HEAD
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=true
    retry:
      limit: -1
      backoff:
        duration: 5s 
        factor: 2 
        maxDuration: 1m
